import { Content } from "./Content.js";
import { Navigation } from "./Navigation.js";
import LayoutViewBase from "../LayoutViewBase.js";
export class LayoutView extends LayoutViewBase {
    template() {
        return `
            <div class="-fb-layout ${this.cssClass}">
                <div role="nav" class="-fb-layout-nav"></div>
                <div role="contents" class="-fb-layout-contents"></div>
            </div>
        `;
    }
    onLoadModel() {
        this.m_content = new Content({
            insertAt: "[role=contents]",
            source: this.source
        });
        this.controls.add(this.m_content);
        this.m_navigation = new Navigation({
            insertAt: "[role=nav]",
            source: this.source
        });
        this.controls.add(this.m_navigation);
    }
}
